Skip to main content
PUT
/
v1
/
loads
/
{load-id}
/
signatures
/
driver
Create or update the DriverSignature on a Load
curl --request PUT \
  --url https://api.tread-horizon.com/v1/loads/{load-id}/signatures/driver \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form image='@example-file' \
  --form lat=0 \
  --form lon=0
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "lat": "<string>",
    "lon": "<string>",
    "image_url": "<string>",
    "image_mime_type": "<string>",
    "image_name": "<string>",
    "type": "DriverSignature",
    "signable_type": "<string>",
    "signable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

load-id
string<uuid>
required

Load ID

Body

multipart/form-data
image
file
required
lat
number | null
Required range: -90 <= x <= 90
lon
number | null
Required range: -180 <= x <= 180

Response

Created

data
DriverSignature-Read · object
required